<template>
  <div>
    <div class="btn-action-container">
      <img
        :src="asset('images/ui_elements/ic_delete.png')"
        alt="icon info"
        class="btn-action"
        @click="showModal()"
      >
    </div>
    <b-modal
      id="modal1"
      hide-footer
      hide-header
      centered
      ref="thisModal"
      class="border-0"
      size="600"
    >
      <div class="container" v-if="data">
        <div class="row px-4 py-2">
          <div class="col-sm-12 text-center">
            <img
              :src="asset('images/ui_elements/ic_alert.png')"
              alt="image"
              class="img-fluid d-block mx-auto"
            >
            <br>
            <h5>
              Are you sure want to delete
              <b>{{data.titleData}}</b> ?
            </h5>
            <p class="text-muted">This process cannot be undone</p>
          </div>
        </div>
        <br>
        <div class="row justify-content-center">
          <div class="col-sm-3" slot="action">
            <button
              class="btn-block btn btn-danger text-white btn-rounded"
              @click="deleteHandler()"
            >Delete</button>
          </div>
          <div class="col-sm-3">
            <button class="btn-block btn bg-light btn-rounded" @click="hideModal">Close</button>
          </div>
        </div>
      </div>
    </b-modal>
  </div>
</template>
<script>
import EventBus from "@/EventBus.js";

export default {
  data() {
    return {
      loading: false
    };
  },
  props: ["data"],
  methods: {
    hideModal() {
      this.$refs.thisModal.hide();
    },
    showModal() {
      this.$emit("show");
      this.$refs.thisModal.show();
    },
    deleteHandler() {
      this.$emit("deleteHandler");

      this.hideModal();
    }
  }
};
</script>
<style lang="scss">
</style>
